Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012447ScribusFontspublic2014-06-27 14:352014-07-19 23:59
Reporterlje 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionnot fixable 
PlatformOSWindowsOS VersionWindows 8
Product Version1.4.4 
Target VersionFixed in Version 
Summary0012447: Windows 8 fonts cannot be embedded
DescriptionIn windows 8 the fonts will not export as embedded (although displayed in the fonts to embed box). Same file will export fine on other Windows version. This includes Arial, Times ...

Problem reported by others:
http://forums.scribus.net/index.php?topic=999.0 [^]
Steps To ReproduceIn Font Preferences - uncheck subset for a font (Arial Regular).
Use that font in the document.
Export as PDF. In the Fonts tab, the font should be in the embedded box.
Export works. But when verifying the embedded fonts in Acrobat... (File/Properties/Fonts) ... it shows that the font is missing and not embedded.
Additional InformationThis is critical if the pdf is to be used to send to major print-on-demand publisher! And the problem applies to even to the most common fonts.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0032346)
jghali (administrator)
2014-06-27 18:17
edited on: 2014-06-27 18:29

Windows 8 fonts lack the postscript glyph names tables contrary to the Windows 7 provided ones. PDF specifications advise against using in PDF TrueType fonts which are missing this information. As a consequence such fonts are outlined and won't be visible in Acrobat Document Properties. This is no problem for rips or printers.


- Issue History
Date Modified Username Field Change
2014-06-27 14:35 lje New Issue
2014-06-27 18:17 jghali Note Added: 0032346
2014-06-27 18:18 jghali Note Edited: 0032346 View Revisions
2014-06-27 18:20 jghali Severity major => minor
2014-06-27 18:21 jghali Priority urgent => normal
2014-06-27 18:23 jghali Summary Although fonts are stated as embedded - it is imossible to export embedded (not default) fonts => Windows 8 fonts cannot be embedded
2014-06-27 18:23 jghali Note Edited: 0032346 View Revisions
2014-06-27 18:29 jghali Note Edited: 0032346 View Revisions
2014-06-28 09:50 cbradney Status new => resolved
2014-06-28 09:50 cbradney Resolution open => not fixable
2014-06-28 09:50 cbradney Assigned To => cbradney
2014-07-19 23:59 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker